WP1BottomMarginGroup Class Reference documentation

WP1BottomMarginGroup Class Reference

`#include <WP1BottomMarginGroup.h>`

Inheritance diagram for WP1BottomMarginGroup:

## Public Member Functions
| WP1BottomMarginGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
| ~WP1BottomMarginGroup () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP1Listener *listener) override
Public Member Functions inherited from WP1FixedLengthGroup
| WP1FixedLengthGroup (unsigned char group)
| ~WP1FixedLengthGroup () override
Public Member Functions inherited from WP1Part
virtual | ~WP1Part ()

## Private Attributes
unsigned short | m_bottomMargin

## Additional Inherited Members
Static Public Member Functions inherited from WP1FixedLengthGroup
static WP1FixedLengthGroup * | constructFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
Static Public Member Functions inherited from WP1Part
static WP1Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char readVal)
Protected Member Functions inherited from WP1FixedLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getGroup () const

## Constructor & Destructor Documentation

## ◆ WP1BottomMarginGroup()

WP1BottomMarginGroup::WP1BottomMarginGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | group )

## ◆ ~WP1BottomMarginGroup()

WP1BottomMarginGroup::~WP1BottomMarginGroup | ( |  | ) |
| override

## Member Function Documentation

## ◆ _readContents()

void WP1BottomMarginGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )
| overridevirtual

Reimplemented from WP1FixedLengthGroup.

## ◆ parse()

void WP1BottomMarginGroup::parse | ( | WP1Listener * | listener | ) |
| overridevirtual

Implements WP1Part.

## Member Data Documentation

## ◆ m_bottomMargin

unsigned short WP1BottomMarginGroup::m_bottomMargin
| private

Referenced by _readContents(), parse(), and WP1BottomMarginGroup().

The documentation for this class was generated from the following files:

- WP1BottomMarginGroup.h
- WP1BottomMarginGroup.cpp